<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="filoblu_instagram"
          label="FiloBlu Instagram"
          component="Magento_PageBuilder/js/content-type"
          preview_component="FiloBlu_Refilo/js/content-type/filoblu-instagram/preview"
          form="pagebuilder_filoblu_instagram_form"
          menu_section="filoblu_controls"
          icon="icon-pagebuilder-products"
          sortOrder="20"
          translate="label">
        <children default_policy="deny"/>
        <appearances>
            <appearance default="true"
                        name="grid"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-instagram/grid/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-instagram/grid/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="text_align" source="text_align"/>
                        <style converter="Magento_PageBuilder/js/converter/style/border-style" name="border" source="border_style"/>
                        <style converter="Magento_PageBuilder/js/converter/style/color" name="border_color" source="border_color"/>
                        <style converter="Magento_PageBuilder/js/converter/style/border-width" name="border_width" source="border_width"/>
                        <style converter="Magento_PageBuilder/js/converter/style/remove-px" name="border_radius" source="border_radius"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="user_id" source="data-user-id"/>
                        <attribute name="thumb_width" source="data-thumb-width"/>
                        <attribute name="max_post_items" source="data-max-post-items"/>
                        <attribute source="data-content-type" name="name"/>
                        <attribute source="data-appearance" name="appearance"/>
                        <html name="html" preview_converter="Magento_PageBuilder/js/converter/attribute/preview/store-id"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
                <converters>
                    <converter component="Magento_PageBuilder/js/content-type/products/mass-converter/widget-directive" name="widget_directive">
                        <config>
                            <item name="html_variable" value="html"/>
                        </config>
                    </converter>
                </converters>
            </appearance>
            <appearance name="carousel"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-instagram/grid/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-instagram/grid/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <form>pagebuilder_filoblu_instagram_carousel_form</form>
                <elements>
                    <element name="main">
                        <style name="text_align" source="text_align"/>
                        <attribute name="user_id" source="data-user-id"/>
                        <attribute name="thumb_width" source="data-thumb-width"/>
                        <attribute name="max_post_items" source="data-max-post-items"/>
                        <style converter="Magento_PageBuilder/js/converter/style/border-style" name="border" source="border_style"/>
                        <style converter="Magento_PageBuilder/js/converter/style/color" name="border_color" source="border_color"/>
                        <style converter="Magento_PageBuilder/js/converter/style/border-width" name="border_width" source="border_width"/>
                        <style converter="Magento_PageBuilder/js/converter/style/remove-px" name="border_radius" source="border_radius"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="slider_template" source="data-slider-template"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="autoplay" source="data-autoplay"/>
                        <attribute name="autoplay_speed" source="data-autoplay-speed"/>
                        <attribute name="is_infinite" source="data-infinite-loop"/>
                        <attribute name="show_arrows" source="data-show-arrows"/>
                        <attribute name="show_dots" source="data-show-dots"/>
                        <attribute name="direction" source="data-direction"/>
                        <attribute name="speed" source="data-speed"/>
                        <attribute name="effect" source="data-effect"/>
                        <attribute name="space_between" source="data-space-between"/>
                        <attribute name="slides_per_view" source="data-slides-per-view"/>
                        <attribute name="slides_per_group" source="data-slides-per-group"/>
                        <attribute name="centered_slide" source="data-centered-slide"/>
                        <attribute name="free_mode" source="data-free-mode"/>
                        <attribute name="breakpoints" source="data-breakpoints"/>
                        <attribute name="pagination_type" source="data-pagination-type"/>
                        <static_attribute source="data-center-padding" value="90px"/>
                        <html name="html" preview_converter="Magento_PageBuilder/js/converter/attribute/preview/store-id"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
                <converters>
                    <converter component="Magento_PageBuilder/js/content-type/products/mass-converter/carousel-widget-directive" name="widget_directive">
                        <config>
                            <item name="html_variable" value="html"/>
                        </config>
                    </converter>
                </converters>
            </appearance>
        </appearances>
    </type>
</config>
